#include <iostream>

using namespace std;

int main()
{

    int A,B,C;
    int ossz=256;
    cin>>B>>C;


    if (B<500&&B>=0)
        {
        }
    else
        {
            return 0;
        }



    if (C<500&&C>=0)
        {
        }
    else
        {
            return 0;
        }




    if (B>C)
        {
            A=ossz-B;
            if (A>C || A==C)
            {
                cout<<A<<endl;
            }
            else if (A<C)
                {
                    cout<<"0"<<endl;
                }
        }
    else if (C>B)
        {
            A=ossz-C;
             if (A>B || A==B)
            {
                cout<<A<<endl;
            }
            else if (A<B)
                {
                    cout<<"0"<<endl;
                }
        }
    else
        {
            A=ossz-B;
            cout<<A<<endl;
        }







    return 0;
}